# Generated from plist-3.3.0.gem by gem2rpm -*- rpm-spec -*-

%global gem_name plist

Name: rubygem-%{gem_name}
Version: 3.4.0
Release: 1%{?dist}
Summary: All-purpose Property List manipulation library
Group: Development/Languages
License: MIT
URL: http://plist.rubyforge.org
# https://github.com/patsplat/plist
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

Provides: rubygem(%{gem_name}) = %{version}-%{release}

%description
Plist is a library to manipulate Property List files, also known as plists. 
It can parse plist files into native Ruby data structures as well as
generating new plist files from your Ruby objects.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/




# Run the test suite
%check
pushd .%{gem_instdir}

popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%{gem_spec}

%exclude %{gem_cache}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.rdoc
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/plist.gemspec


%changelog
* Mon Dec 11 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.4.0-1
- update to plist 3.4.0

* Fri May 19 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.3.0-2
- add Provides for rubygem(plist) at epel branch

* Wed May 03 2017 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.3.0-1
- update to plist 3.3.0

* Mon Feb 08 2016 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.2.0-1
- initial spec file for branch epel 7
- update to plist 3.2.0

* Thu Jul 02 2015 Gerd Pokorra <gp@zimt.uni-siegen.de> - 3.1.0-17
- Regenerate the .spec with up2date version of gem2rpm
- Cutting off old changelog entries
